<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class documentation_officesRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name' => 'unique:documentation_offices'.$this->id,

        ];
    }

    public function messages()
    {
        return [

            'name.unique' => ' اسم المكتب  موجود مسبقا',

        ];
    }
}
